# -*- coding: utf-8 -*-
import LanguageModule

g_strtable = -1

def add(label, txt):
    global g_strtable
    g_strtable.AddText(LanguageModule.ENGLISH, label, txt)
    g_strtable.AddText(LanguageModule.DUTCH, label, txt)
    g_strtable.AddText(LanguageModule.JAPANESE, label, txt)
    g_strtable.AddText(LanguageModule.GERMAN, label, txt)
    g_strtable.AddText(LanguageModule.FRENCH, label, txt)

def AddStrings(strtable):
    global g_strtable
    g_strtable = strtable
    
    # new strings
    
    ## Language select - international
    add("str_english", "English")
    add("str_nederlands", "Nederlands")
    add("str_francais", "Francais")
    add("str_deutsch", "Deutsch")
    add("str_italiano", "Italiana")
    add("str_espanol", "Espanol")
    add("str_portugues", "Portugues")
    add("str_japanese", u"日本語")
    
